Historical OHLC
curl --request GET \
--url https://api.tradewatch.io/indices/{symbol}/ohlc \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/indices/{symbol}/ohlc"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/indices/{symbol}/ohlc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"symbol": "<string>",
"resolution": "<string>",
"items": [
{
"time": 123,
"open_ask": 123,
"high_ask": 123,
"low_ask": 123,
"close_ask": 123,
"open_bid": 123,
"high_bid": 123,
"low_bid": 123,
"close_bid": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Indices
Historical OHLC
Get historical OHLC candles for a symbol in a selected resolution and time range.
GET
/
indices
/
{symbol}
/
ohlc
Historical OHLC
Authorizations
Authentication via API key header
Path Parameters
Query Parameters
Resolution in seconds.
Available options:
5, 10, 30, 60, 120, 240, 480, 600, 1800, 3600, 7200, 14400, 21600, 43200, 86400, 172800 Unix timestamp (inclusive).
Unix timestamp (exclusive).
⌘I
